# The Red Matrix: include/taxonomy.php File Reference

All Classes Namespaces Files Functions Variables Pages
taxonomy.php File Reference

## Functions

| file_tag_encode ($s)
| file_tag_decode ($s)
| file_tag_file_query ($table, $s, $type= 'file')
| term_query ($table, $s, $type=TERM_UNKNOWN)
| store_item_tag ($uid, $iid, $otype, $type, $term, $url= '')
| get_terms_oftype ($arr, $type)
| format_term_for_display ($term)
| tagadelic ($uid, $count=0, $authors= '', $flags=0, $restrict=0, $type=TERM_HASHTAG)
| tags_sort ($a, $b)
| dir_tagadelic ($count=0)
| tagblock ($link, $uid, $count=0, $authors= '', $flags=0, $restrict=0, $type=TERM_HASHTAG)
| dir_tagblock ($link, $r)
| obj_verbs ()
| obj_verb_selector ($current= '')
| get_things ($profile_hash, $uid)

## Function Documentation

dir_tagadelic | ( |  | $count = `0` | ) |

Referenced by dirsearch_content().

dir_tagblock | ( |  | $link,
|  |  | $r
| ) |  |

Referenced by widget_dirtags().

file_tag_decode | ( |  | $s | ) |

file_tag_encode | ( |  | $s | ) |

file_tag_file_query | ( |  | $table,
|  |  | $s,
|  |  | $type = `'file'`
| ) |  |

format_term_for_display | ( |  | $term | ) |

Referenced by conversation().

get_terms_oftype | ( |  | $arr,
|  |  | $type
| ) |  |

Referenced by bookmarks_init(), conversation(), editpost_content(), events_content(), format_categories(), format_filer(), format_hashtags(), format_mentions(), item_expire(), item_getfeedtags(), tag_deliver(), and tgroup_check().

get_things | ( |  | $profile_hash,
|  |  | $uid
| ) |  |

Referenced by advanced_profile().

obj_verb_selector | ( |  | $current = `''` | ) |

Referenced by thing_content().

obj_verbs | ( |  | ) |

verbs: [0] = first person singular, e.g. "I want", [1] = 3rd person singular, e.g. "Bill wants" We use the first person form when creating an activity, but the third person for use in activities FIXME: There is no accounting for verb gender for languages where this is significant. We may eventually require obj_verbs() to provide full conjugations and specify which form to use in the $_REQUEST params to this module.

Referenced by get_things(), obj_verb_selector(), and thing_init().

store_item_tag | ( |  | $uid,
|  |  | $iid,
|  |  | $otype,
|  |  | $type,
|  |  | $term,
|  |  | $url = `''`
| ) |  |

Referenced by filer_content(), tag_deliver(), and tagger_content().

tagadelic | ( |  | $uid,
|  |  | $count = `0`,
|  |  | $authors = `''`,
|  |  | $flags = `0`,
|  |  | $restrict = `0`,
|  |  | $type = `TERM_HASHTAG`
| ) |  |

Referenced by tagblock(), and widget_tagcloud().

tagblock | ( |  | $link,
|  |  | $uid,
|  |  | $count = `0`,
|  |  | $authors = `''`,
|  |  | $flags = `0`,
|  |  | $restrict = `0`,
|  |  | $type = `TERM_HASHTAG`
| ) |  |

Referenced by widget_tagcloud_wall().

tags_sort | ( |  | $a,
|  |  | $b
| ) |  |

term_query | ( |  | $table,
|  |  | $s,
|  |  | $type = `TERM_UNKNOWN`
| ) |  |

Referenced by channel_content(), items_fetch(), and network_content().